import { OnInit, OnDestroy, OnChanges, AfterViewInit, ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { TmNgOdometerConfigModel } from './odometer.config';
import * as i0 from "@angular/core";
export declare class TmNgOdometerComponent implements OnInit, OnDestroy, OnChanges, AfterViewInit {
    private subscription;
    private odometer;
    container: ElementRef;
    number: number;
    config: TmNgOdometerConfigModel;
    observable: Observable<boolean>;
    animation: string;
    format: string;
    theme: string;
    value: number;
    duration: number;
    auto: boolean;
    private themes;
    private initOdometer;
    private initConfig;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TmNgOdometerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TmNgOdometerComponent, "tm-ng-odometer", never, { "number": "number"; "config": "config"; "observable": "observable"; "animation": "animation"; "format": "format"; "theme": "theme"; "value": "value"; "duration": "duration"; "auto": "auto"; }, {}, never, never, false>;
}
//# sourceMappingURL=odometer.component.d.ts.map